Commit 92f12ffa authored by Brad King's avatar Brad King
Browse files

cargo: prep for 0.1301.0

parent 5f14756e
[package]
name = "gitlab"
version = "0.1300.0"
version = "0.1301.0"
authors = ["Ben Boeckel <ben.boeckel@kitware.com>"]
license = "MIT/Apache-2.0"
description = """
Gitlab API client.
"""
repository = "https://gitlab.kitware.com/utils/rust-gitlab"
documentation = "https://docs.rs/gitlab/0.1300.0"
documentation = "https://docs.rs/gitlab/0.1301.0"
readme = "README.md"
keywords = ["gitlab", "api"]
categories = ["web-programming", "api-bindings"]
......
......@@ -3,7 +3,7 @@
This library implements an interface to communicate with a Gitlab instance. Not
all API endpoints are implemented, but patches are welcome.
The API is based off of the GitLab 13.00 API v4 and will likely aggressively track
The API is based off of the GitLab 13.1 API v4 and will likely aggressively track
new API additions, so not all available parameters or types will support
arbitrarily old GitLab instances (usually query parameters will be ignored and
type fields cause deserialization errors).
......@@ -34,6 +34,7 @@ to a given version).
Since this crate follows Gitlab upstream, semantic versioning may not be
possible. Instead, the crate uses the following versioning scheme:
* Gitlab 13.1 support → 0.1301.x
* Gitlab 13.0 support → 0.1300.x
* Gitlab 12.10 support → 0.1210.x
* Gitlab 12.9 support → 0.1209.x
......@@ -81,7 +82,7 @@ coverage. It is recommended to depend on the full version of the crate since
types may change in patch-level updates in order to match Gitlab's interface:
```toml
gitlab = "=0.1300.0"
gitlab = "=0.1301.0"
```
# API bugs
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment